"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ModelDoesNotRegisteredException = void 0;
const sequelize_pagination_exception_1 = require("./sequelize-pagination.exception");
class ModelDoesNotRegisteredException extends sequelize_pagination_exception_1.SequelizePaginationException {
    constructor(modelName) {
        super('Model does not registered');
        this.modelName = modelName;
    }
}
exports.ModelDoesNotRegisteredException = ModelDoesNotRegisteredException;
