import { PaginationModuleOptions, PaginationOptions } from './interfaces';
import { FindAndCountOptions } from 'sequelize';
import { Model, ModelCtor, Sequelize } from 'sequelize-typescript';
import { PaginatedData } from './common';
export declare class PaginationService {
    private options;
    private readonly sequelize;
    constructor(options: PaginationModuleOptions, sequelize: Sequelize);
    findAllPaginate<M extends Model>(model: ModelCtor<M>, options: Partial<PaginationOptions>, optionsSequelize?: FindAndCountOptions<M>): Promise<PaginatedData<M>>;
}
